Package org.eclipse.birt.report.model.api.activity

# Interface IActivityRecord

public interface IActivityRecord
Application-level interface into the Model's activity record.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canRedo()`
Tells if this record can be redone.
`boolean`
`canUndo()`
Tells if this record can be undone.
`void`
`execute()`
Executes the record.
`String`
`getLabel()`
Gets the label of this record.
`void`
`redo()`
Redoes the record.
`void`
`undo()`
Undoes the record.

## Method Details

### execute

void execute()
Executes the record.

### undo

void undo()
Undoes the record. Leaves the state of the model identical to what it was before execute was called.

### redo

void redo()
Redoes the record. Logically repeats the execute record. The state of the model must be identical to that after undo( ) has executed.

### canUndo

boolean canUndo()
Tells if this record can be undone.

Returns:
  true if the record can be undone, false otherwise

### canRedo

boolean canRedo()
Tells if this record can be redone.

Returns:
  true if redoable, false otherwise.

### getLabel

String getLabel()
Gets the label of this record. This label should be localized.

Returns:
  the label of this record